Name:           python-pymongo
Version:        4.6.3
Release:        1
License:        Apache License 2.0
Summary:        PyMongo - the Python driver for MongoDB
URL:            https://github.com/mongodb/mongo-python-driver
Source0:        %{pypi_source pymongo}

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-sphinx gcc python3-pip python3-dns

%global _description \
The PyMongo distribution contains tools for interacting with \
MongoDB database from Python.\
PyMongo supports MongoDB 2.6, 3.0, 3.2, 3.4, 3.6, 4.0 and 4.2.

%description %{_description}

%package -n python3-bson
Summary:        Python bson library
%{?python_provide:%python_provide python3-bson}

%description -n python3-bson %{_description}
This package is an implementation of  the BSON format for Python 3 version.

%package -n python3-pymongo
Summary:        Python driver for MongoDB
Requires:       python3-bson = %{version}-%{release}
%{?python_provide:%python_provide python3-pymongo}

%description -n python3-pymongo %{_description}
This package is a native Python 3 version driver for MongoDB.

%package -n python3-pymongo-gridfs
Summary:        Python GridFS driver for MongoDB
Requires:       python3-pymongo = %{version}-%{release}
%{?python_provide:%python_provide python3-pymongo-gridfs}

%description -n python3-pymongo-gridfs %{_description}
This package is a gridfs implementation on top of pymongo.
This package for Python 3 version.

%package help
BuildArch: noarch
Summary:   Development documents for python-pymongo

%description help
The PyMongo distribution contains tools for interacting with MongoDB database from Python.


%prep
%autosetup -n pymongo-%{version} -p1

%build
%py3_build

%install
%py3_install

chmod 755 %{buildroot}%{python3_sitearch}/bson/*.so
chmod 755 %{buildroot}%{python3_sitearch}/pymongo/*.so

%check
python3 -m unittest discover -v

%files -n python3-bson
%license LICENSE
%doc README.rst
%{python3_sitearch}/bson

%files -n python3-pymongo
%license LICENSE
%doc README.rst
%{python3_sitearch}/pymongo
%{python3_sitearch}/pymongo-%{version}-*.egg-info

%files -n python3-pymongo-gridfs
%{python3_sitearch}/gridfs

%files help
%{_docdir}/python3-pymongo

%changelog
* Wed Jun 05 2024 yaoxin <yao_xin001@hoperun.com> - 4.6.3-1
- Update to 4.6.3
- Fixed a potential memory access violation when decoding invalid bson.

* Sun Apr 07 2024 liweigang <liweiganga@uniontech.com> - 4.3.3-2
- Fix CVE-2024-21506

* Thu May 18 2023 chenchen <chen_aka_jan@163.com> - 4.3.3-1
- upgrade to 4.3.3 

* Sun Jul 24 2022 liksh <liks11@chinaunicom.com.cn> - 4.0-1
- upgrade to 4.0 for openstack yoga

* Fri Aug 06 2021 OpenStack_SIG <openstack@openeuler.org> - 3.11.3-1
- Update version to 3.11.3

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 3.9.0-5
- Completing build dependencies

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 3.9.0-4
- Remove subpackage python2-bson, python2-pymongo, python2-pymongo-gridfs

* Wed Oct 21 2020 liuweibo <liuweibo10@huawei.com> - 3.9.0-3
- Fix Source0

* Fri Feb 21 2020 shanshishi <shanshishi@huawei.com> - 3.9.0-2
- Revise build requires of python2-sphinx to python3-sphinx

* Sat Nov 2 2019 shanshishi <shanshishi@huawei.com> - 3.9.0-1
- Init package
